##########################################################################################
# Running this script, should produce all of the 'input' files needed for john-test-suite.
# A few of the files WILL need to be hand edited.  The ones needing this are described here.
# Some will have dupes made during the creation (too few salts, etc).  Others 'dual' word
# formats, may need the final hash fixed so that the proper 1500 count is reached.
#
# NOTE, in most cases, hand editing is NOT required any more. I have left the comments
# intact, just in case they ARE needed to hand edit.  The file Fixup_Test_Hashes.c is
# built where needed, and run, to 'fix' the formats.  There are 5 files which require
# touchup.
#
# LM_tst.in.  The last line needs edtied.  Copy the first half
#             over the 2nd half of the hash (and fixe the 'password' in the
#             file to be SKIPPINSKIPPIN  The line should look like this:
#             u1499-LM:1499:fc6c598a16340af9fc6c598a16340af9:1499:0:SKIPPINSKIPPIN::
#             This is now done automatically in script!
#
# mysql_tst.in At the top of the file (first 10 lines or so), there is a dupe.
#             the space and blank are the same hash.  Remove one of them.
#             Now done automatically in the script.
#
# mssql_tst.in Remove the lines with \x{039c} in the password (broken in the
#             perl uc conversion, in -ansi mode). then make sure 1500 entries are left.
#             This will do it:  grep -v "\x{039" mssql_tst.in | head -1501 > ms.in
#
# oracle_tst.in  We build more than enough hashes (1508), and then have
#              to find the 'dupes'. The dupes come from case-insensitive
#              user naming.  There is a .c file in rmdup_hashes.c
#              which eliminate these dups.
#             This is now done automatically in script!
#
# Lots of dups in oracle_tstu.in  (up case of all the unicode is a LOT of dupes).
#             This is now done automatically in script!
#
#

echo Creating md5_gen=0
./pass_gen.pl -dictfile=pw.dic md5_gen=0 < pw-bin.dic > md5_gen_0_tst.in
./pass_gen.pl -dictfile=pw.dic -maxlen 23 md5_gen=1 < pw-bin.dic > md5_gen_1_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=2 < pw-bin.dic > md5_gen_2_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=3 < pw-bin.dic > md5_gen_3_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=4 < pw-bin.dic > md5_gen_4_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=5 < pw-bin.dic > md5_gen_5_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=6 < pw-bin.dic > md5_gen_6_tst.in
./pass_gen.pl -dictfile=pw.dic -salt=single_salt md5_gen=6 < pw-bin.dic > md5_gen_6_1salt_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=7 < pw-bin.dic > md5_gen_7_tst.in
./pass_gen.pl -dictfile=pw.dic -maxlen 23 md5_gen=8 < pw-bin.dic > md5_gen_8_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=9 < pw-bin.dic > md5_gen_9_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=10 < pw-bin.dic > md5_gen_10_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=11 < pw-bin.dic > md5_gen_11_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=12 < pw-bin.dic > md5_gen_12_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=13 < pw-bin.dic > md5_gen_13_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=14 < pw-bin.dic > md5_gen_14_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=15 < pw-bin.dic > md5_gen_15_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=16 < pw-bin.dic > md5_gen_16_tst.in

echo Creating md5_gen=17
# only generate using 100 passwords.  This 'speeds' up this slower format
./pass_gen.pl            md5_gen=17 -dictfile=pw.dic < pw-100.dic  > md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in
./pass_gen.pl -nocomment md5_gen=17 < pw-100.dic >> md5_gen_17_tst.in

echo Creating md5_gen=18
./pass_gen.pl -dictfile=pw.dic md5_gen=18 < pw-bin.dic > md5_gen_18_tst.in
./pass_gen.pl -dictfile=pw.dic -maxlen 16 md5_gen=19 < pw-bin.dic > md5_gen_19_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=20 < pw-bin.dic > md5_gen_20_tst.in
./pass_gen.pl -dictfile=pw.dic -maxlen 26 md5_gen=21 < pw-bin.dic > md5_gen_21_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=22 < pw-bin.dic > md5_gen_22_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=23 < pw-bin.dic > md5_gen_23_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=24 < pw-bin.dic > md5_gen_24_tst.in
./pass_gen.pl -dictfile=pw.dic md5_gen=25 < pw-bin.dic > md5_gen_25_tst.in

echo Creating md5_gen=26
./pass_gen.pl -dictfile=pw.dic md5_gen=26 < pw-bin.dic > md5_gen_26_tst.in

echo Creating md5_gen=27
# only generate using 150 passwords.  This 'speeds' up this slower format
# NOTE pw-150.dic has max line length of 15 bytes (to work with MD5 format)
./pass_gen.pl -maxlen 15            md5_gen=27 -dictfile=pw.dic < pw-150.dic  > md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=27 < pw-150.dic >> md5_gen_27_tst.in

echo Creating md5_gen=28
./pass_gen.pl -maxlen 15            md5_gen=28 -dictfile=pw.dic < pw-150.dic  > md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_gen=28 < pw-150.dic >> md5_gen_28_tst.in

echo Creating MD5_1
./pass_gen.pl -maxlen 15            md5_1 -dictfile=pw.dic < pw-150.dic  > md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in
./pass_gen.pl -maxlen 15 -nocomment md5_1 < pw-150.dic >> md5_1_tst.in

echo Creating MD5_apr1
./pass_gen.pl -maxlen 15            MD5_a -dictfile=pw.dic < pw-150.dic  > md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in
./pass_gen.pl -maxlen 15 -nocomment MD5_a < pw-150.dic >> md5_apr1_tst.in

echo Creating BSDI
./pass_gen.pl             BSDI -dictfile=pw.dic < pw-150.dic  > BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in
./pass_gen.pl  -nocomment BSDI < pw-150.dic >> BSDI_tst.in

echo Creating BF
# only generate using 20 passwords.  This 'speeds' up this slower format
./pass_gen.pl            bf -dictfile=pw.dic < pw-20.dic  > BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in
./pass_gen.pl -nocomment bf < pw-20.dic >> BF_tst.in

echo Creating BFx
# only generate using 20 passwords.  This 'speeds' up this slower format
./pass_gen.pl            bfx -dictfile=pw.dic < pw-20.dic  > BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in
./pass_gen.pl -nocomment bfx < pw-20.dic >> BFx_tst.in

echo Creating PHpass
# only generate using 100 passwords.  This 'speeds' up this slower format
# NOTE, phpass_tst.in is hand 'edited' from this file, converting back to $P$ format.
./pass_gen.pl            PHPass -dictfile=pw.dic < pw-100.dic  > phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in
./pass_gen.pl -nocomment PHPass < pw-100.dic >> phpass_tst.in

echo Creating MSCash2
# only generate using 30 passwords.  This 'speeds' up this slower format
# NOTE, for cash2, since it is salted with user name, we have to create
# MORE than need, and then 'unique' them later.
./pass_gen.pl -salt admin  -dictfile=pw.dic           MSCash2 < pw-30.dic  > MSCash2_tst.in
./pass_gen.pl -salt root                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt bin                    -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Joe                    -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt twentyXXX_characters   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt twentyoneX_characters  -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt twentytwoXX_characters -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt nineteen_characters    -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt eight18_characters     -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt seven17characters      -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt six16_characters       -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt fi15_characters        -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Herman                 -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt 'lexi Conrad'          -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt jack                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt John                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt sz110                  -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt fR14characters         -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Thirteenchars          -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Twelve_chars           -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt elev__chars            -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt teN__chars             -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt ninechars              -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt eightchr               -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt sevench                -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt barney                 -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt user                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt 01234                  -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt u1                     -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt harvey                 -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt john1                  -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt ripper                 -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt a                      -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt 1                      -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt 2                      -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt 3                      -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt u2                     -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt u3                     -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt u4                     -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt u5                     -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt usr                    -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt usrx                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt usry                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt skippy                 -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Hank                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Bing                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Bong                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Pink                   -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Johnson                -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in
./pass_gen.pl -salt Addams                 -nocomment MSCash2 < pw-30.dic >> MSCash2_tst.in

echo Creating DES
# NOTE, these 2 have 'special' dictionaries made for them.
./pass_gen.pl -dictfile=pw.dic -maxlen 8 des < pw-bin-8.dic > DES_tst.in
# bigcrypt des also needs the 'last' value edited.
./pass_gen.pl -dictfile=pw.dic bigcrypt < BigCr.dic > BigCrypt_tst.in

echo Creating PixMD5
./pass_gen.pl -dictfile=pw.dic -maxlen 16 pixmd5 < pw-bin.dic > pixMD5_tst.in
./pass_gen.pl -dictfile=pw.dic po < pw-bin.dic > po_tst.in
./pass_gen.pl -dictfile=pw.dic phps < pw-bin.dic > phps_tst.in
./pass_gen.pl -dictfile=pw.dic rawmd5 < pw-bin.dic > rawmd5_tst.in
./pass_gen.pl -dictfile=pw.dic rawmd5u < pw-bin.dic > rawmd5u_tst.in
./pass_gen.pl -dictfile=pw.dic rawsha1 < pw-bin.dic > rawsha1_tst.in
./pass_gen.pl -dictfile=pw.dic sha1p < pw-bin.dic > sha1p_tst.in
./pass_gen.pl -dictfile=pw.dic sha1s < pw-bin.dic > sha1s_tst.in
./pass_gen.pl -dictfile=pw.dic mediawiki < pw-bin.dic > mediawiki_tst.in

echo Creating NT
./pass_gen.pl -dictfile=pw.dic nt    < pw-bin.dic > NT_tst.in
./pass_gen.pl -dictfile=pw.dic rawmd4 < pw-bin.dic > rawmd4_tst.in
./pass_gen.pl -dictfile=pw.dic md4p < pw-bin.dic > md4p_tst.in
./pass_gen.pl -dictfile=pw.dic md4s < pw-bin.dic > md4s_tst.in
./pass_gen.pl -dictfile=pw.dic -maxlen 27 mscash < pw-bin.dic > mscash_tst.in

echo Creating mscash_crash
./pass_gen.pl -maxlen 27 -salt twentyXXX_characters   -dictfile=pw.dic  mscash < pw-20.dic   > mscash_crash_tst.in
./pass_gen.pl -maxlen 27 -salt twentyoneX_characters  -nocomment        mscash < pw-20.dic  >> mscash_crash_tst.in
./pass_gen.pl -maxlen 27 -salt twentytwoXX_characters -nocomment        mscash < pw-20.dic  >> mscash_crash_tst.in
./pass_gen.pl -maxlen 27 -count 1440                  -nocomment        mscash < pw-bin.dic >> mscash_crash_tst.in

# NOTE, the last line of LM_tst.in will need editing to get to 1500.
./pass_gen.pl -dictfile=pw.dic lm    < LM.dic > LM.in
gcc -o Fixup_Test_Hashes Fixup_Test_Hashes.c
Fixup_Test_Hashes FixLM
if [ ! -e LM_tst.in ]; then
   mv LM.in LM_tst.in
   echo WARNING, LM_tst.in could not be properly updated. It will fine 1501 hashes
fi
rm -f LM.in
rm -f Fixup_Test_Hashes
rm -f Fixup_Test_Hashes.exe

echo Creating pwdump
./pass_gen.pl -dictfile=pw.dic pwdump < pw-bin.dic > pwdump_tst.in
./pass_gen.pl -dictfile=pw.dic nsldap < pw-bin.dic >  nsldap_tst.in
./pass_gen.pl -dictfile=pw.dic nsldaps < pw-bin.dic >  nsldaps_tst.in
./pass_gen.pl -dictfile=pw.dic openssha < pw-bin.dic >  openssha_tst.in
./pass_gen.pl -dictfile=pw.dic ns < pw-bin.dic >  ns_tst.in
./pass_gen.pl -dictfile=pw.dic xsha < pw-bin.dic >  XSHA_tst.in

echo Creating HMAC_MD5
./pass_gen.pl -dictfile=pw.dic hmacMD5 < pw-bin.dic >  hmacMD5_tst.in
./pass_gen.pl -dictfile=pw.dic mskrb5 < pw-bin.dic >  mskrb5_tst.in

# bfegg can not handle 'blank' password, so do one more than normal to get 1500
./pass_gen.pl -dictfile=pw.dic -count 1501 bfegg < pw-bin.dic >  BFegg_tst.in

echo Creating IPB2
./pass_gen.pl -dictfile=pw.dic ipb2 < pw-bin.dic >  IPB2_tst.in
./pass_gen.pl -dictfile=pw.dic MSSql05 < pw-bin.dic >  MSSql05_tst.in

./pass_gen.pl -dictfile=pw.dic -ansi -count 1520 mssql < pw-bin.dic >  mssql.in 2> /dev/null
gcc -o fix Fixup_Test_Hashes.c
fix mssql.in > mssql_tst.in
rm -f mssql.in
rm -f fix
rm -f fix.exe

./pass_gen.pl -dictfile=pw.dic mysqlSHA1 < pw-bin.dic >  mysqlSHA1_tst.in

./pass_gen.pl -dictfile=pw.dic -count 1501 mysql < pw-bin.dic >  mysql.in
gcc -o fix Fixup_Test_Hashes.c
fix mysql.in > mysql_tst.in
rm -f mysql.in
rm -f fix
rm -f fix.exe

echo Creating Oracle
./pass_gen.pl -dictfile=pw.dic -ansi -count 1510 oracle < pw-bin.dic >  oracle.in
gcc -o fix Fixup_Test_Hashes.c
fix oracle.in > oracle_tst.in
rm -f oracle.in
rm -f fix
rm -f fix.exe

./pass_gen.pl -dictfile=pw.dic oracle11 < pw-bin.dic >  oracle11_tst.in
./pass_gen.pl -dictfile=pw.dic hdaa < pw-bin.dic >  hdaa_tst.in
./pass_gen.pl -dictfile=pw.dic netntlm_ess < pw-bin.dic >  netntlm_tst.in

echo Creating Lotus5
# lotus5 is not in pass_gen.pl. There is a stand alone .c program.  Compile, run and delete it.
gcc lotus.c -o lotus.exe
./lotus.exe < pw-bin.dic | head -1501 > lotus5_tst.in
rm lotus.exe

echo Creating l0phtcrack
./pass_gen.pl -dictfile=pw.dic l0phtcrack < pw-bin.dic >  l0phtcrack_tst.in
./pass_gen.pl -dictfile=pw.dic mschapv2 < pw-bin.dic > mschapv2_tst.in
./pass_gen.pl -dictfile=pw.dic netlmv2 < pw-bin.dic >  netlmv2_tst.in
./pass_gen.pl -dictfile=pw.dic netntlmv2 < pw-bin.dic >  netntlmv2_tst.in

#
# UTF8 code encoding tests here
#
echo Creating utf8 builds for pw-utf8.dic file for -utf8 formats.

./pass_gen.pl -dictfile=pw-utf8.dic -utf8 mschapv2 < pw-bin-utf8.dic > mschapv2_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 netlmv2 < pw-bin-utf8.dic >  netlmv2_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 netntlm_ess < pw-bin-utf8.dic >  netntlm_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 l0phtcrack < pw-bin-utf8.dic >  l0phtcrack_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 netntlmv2 < pw-bin-utf8.dic >  netntlmv2_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 netlmv2 < pw-bin-utf8.dic >  netlmv2_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 -maxlen 27  nt < pw-bin-utf8.dic > NT_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 -maxlen 27 mscash < pw-bin-utf8.dic > mscash_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 -maxlen 25 MSSql05 < pw-bin-utf8.dic >  MSSql05_tstu.in
./pass_gen.pl -dictfile=pw-utf8.dic -utf8 -maxlen 27 rawmd5u < pw-bin-utf8.dic > rawmd5u_tstu.in

./pass_gen.pl -dictfile=pw-utf8.dic -utf8 -count 1510 -maxlen 27 oracle < pw-bin-utf8.dic >  oracle.in
gcc -o fix Fixup_Test_Hashes.c
fix oracle.in > oracle_tstu.in
rm -f oracle.in
rm -f fix
rm -f fix.exe

./pass_gen.pl -dictfile=pw-utf8.dic -utf8 -maxlen 25 mssql < pw-bin-utf8.dic >  mssql_tstu.in

echo 'doing -utf8 for MSCash2 (pw-utf8-100.dic).'
./pass_gen.pl -utf8 -maxlen 27 -salt admin  -dictfile=pw-utf8.dic      MSCash2 < pw-bin-utf8-100.dic  > MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt root                   -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt bin                    -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt Joe                    -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt twentyXXX_characters   -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt twentyoneX_characters  -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt twentytwoXX_characters -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt nineteen_characters    -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt eight18_characters     -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt seven17characters      -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt six16_characters       -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt fi15_characters        -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt Herman                 -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt 'lexi Conrad'          -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
./pass_gen.pl -utf8 -maxlen 27 -salt jack                   -nocomment MSCash2 < pw-bin-utf8-100.dic >> MSCash2_tstu.in
